=== debian/changelog ===
ros-indigo-simple-message (0.4.3-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 07 Feb 2016 06:00:00 -0000

ros-indigo-simple-message (0.4.2-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-indigo-simple-message (0.4.1-0trusty) trusty; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Mon, 23 Mar 2015 05:00:00 -0000

ros-indigo-simple-message (0.4.0-0trusty) trusty; urgency=high

  * Moved common socket contstructor code to simple_socket base class
  * Updated simple message header to reflect vendor ranges specified in REP-I0004
  * Correctly initialized connected state for udp connections
  * Fixed issue #48 <https://github.com/ros-industrial/industrial_core/issues/48>, logSocketError is now passed errno
  * Merge pull request #70 <https://github.com/ros-industrial/industrial_core/issues/70> from gt-ros-pkg/hydro-devel
    Fixing receiveBytes for UDP
  * Macro'ed out GETHOSTBYNAME, and fixed if-statement braces to be on a new line for consistency
  * Added support for gethostbyname, for passing host names in addition to IP addresses.
  * Making setConnected protected again, adding setDisconnected to public methods so that that method can be used to flag the connection as disconnected.
  * Putting back in timeout for receiveBytes
  * More formal fix for UDP communication.
    This should now make UDP sockets act almost exactly like the
    TCP sockets.
  * Fixing receiveBytes for UDP
  * robot_client: workaround for #46 <https://github.com/ros-industrial/industrial_core/issues/46>. Fix #67 <https://github.com/ros-industrial/industrial_core/issues/67>.
    This is an updated version of the workaround committed in 9df46977. Instead
    of requiring dependent packages to invoke the function defined in the
    CFG_EXTRAS cmake snippet, the snippet now sets up the linker path directly.
    Dependent packages now only need to remember to explicitly list their
    dependency on industrial_robot_client and simple_message in their
    add_library(..) statements.
  * Contributors: Fred Proctor, Kelsey, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Sat, 21 Mar 2015 05:00:00 -0000

ros-indigo-simple-message (0.3.4-0trusty) trusty; urgency=high

  * robot_client: workaround for #46 <https://github.com/ros-industrial/industrial_core/issues/46>. Fix #67 <https://github.com/ros-industrial/industrial_core/issues/67>.
    This is an updated version of the workaround committed in 9df46977. Instead
    of requiring dependent packages to invoke the function defined in the
    CFG_EXTRAS cmake snippet, the snippet now sets up the linker path directly.
    Dependent packages now only need to remember to explicitly list their
    dependency on industrial_robot_client and simple_message in their
    add_library(..) statements.
  * Contributors: gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Tue, 21 Jan 2014 06:00:00 -0000

ros-indigo-simple-message (0.3.3-0trusty) trusty; urgency=high

  * Fixed build issue due simple message library linking
  * Contributors: gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Mon, 13 Jan 2014 06:00:00 -0000

ros-indigo-simple-message (0.3.2-0trusty) trusty; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Fri, 10 Jan 2014 06:00:00 -0000

ros-indigo-simple-message (0.3.1-0trusty) trusty; urgency=high

  * Added polling check to socket read and muiltiple read calls in order to receive all desired bytes
  * Removed library export from catkin macro.  Packages that depend on these must declare library dependencies explicitly (by name)
  * Add error message to socket errors (instead of just errno).
  * Converted to catkin
  * Contributors: Christina Gomez, JeremyZoss, ROS, Shaun Edwards, gavanderhoorn, jrgnicho, kphawkins, ros-industrial

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 06:00:00 -0000
